Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class ROTEntry

`java.lang.Object
oracle.jbo.common.ROTEntry`

All Implemented Interfaces:
  java.io.Serializable

public class ROTEntry
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static byte` | `APPLICATION_MODULE_TYPE`
`static byte` | `COMPONENT_OBJECT_TYPE`
`static byte` | `ROW_SET_ITERATOR_TYPE`
`static byte` | `ROW_SET_TYPE`
`static byte` | `VIEW_OBJECT_TYPE`

Constructor Summary
`ROTEntry(int remoteObjId, byte objType, java.lang.String fullObjName)`

Method Summary
`SvcMsgIteratorState` | `getCliIteratorState()`
`java.lang.String` | `getFullObjectName()`
`int` | `getObjectType()`
`int` | `getRemoteObjectId()`
`java.lang.Object[]` | `getRowFilterValues()`
`void` | `setCliIteratorState(SvcMsgIteratorState cliIteratorState)`
`void` | `setRowFilterValues(java.lang.Object[] rowFilterValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROW_SET_ITERATOR_TYPE

    public static final byte ROW_SET_ITERATOR_TYPE

  See Also:
    Constant Field Values

### ROW_SET_TYPE

    public static final byte ROW_SET_TYPE

  See Also:
    Constant Field Values

### VIEW_OBJECT_TYPE

    public static final byte VIEW_OBJECT_TYPE

  See Also:
    Constant Field Values

### APPLICATION_MODULE_TYPE

    public static final byte APPLICATION_MODULE_TYPE

  See Also:
    Constant Field Values

### COMPONENT_OBJECT_TYPE

    public static final byte COMPONENT_OBJECT_TYPE

  See Also:
    Constant Field Values

Constructor Detail

### ROTEntry

    public ROTEntry(int remoteObjId,
                    byte objType,
                    java.lang.String fullObjName)

Method Detail

### getRemoteObjectId

    public int getRemoteObjectId()

### getObjectType

    public int getObjectType()

### getFullObjectName

    public java.lang.String getFullObjectName()

### setRowFilterValues

    public void setRowFilterValues(java.lang.Object[] rowFilterValues)

### getRowFilterValues

    public java.lang.Object[] getRowFilterValues()

### setCliIteratorState

    public void setCliIteratorState(SvcMsgIteratorState cliIteratorState)

### getCliIteratorState

    public SvcMsgIteratorState getCliIteratorState()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.